package com.zksy.utils.exception;

import lombok.Data;

@Data
public class BusinessException extends RuntimeException{
    private Object data;
    private Integer code;

    public BusinessException() {
        super();
    }

    public BusinessException(String message) {
        super(message);
    }

    public BusinessException(String message, Throwable cause) {
        super(message, cause);
    }

    public BusinessException(Throwable cause) {
        super(cause);
    }

    public BusinessException(Integer code,String message, Object data) {
        super(message);
        this.data = data;
        this.code = code;
    }

    public BusinessException(String message, Object data, Throwable cause) {
        super(message, cause);
        this.data = data;
    }
}
